module.exports = bot => {
    bot.registerCommand("dbVersion",
        async msg => await global.database.botInstance.get().then(row => row.version),
        {
            description: "Get db version",
            fullDescription: "Get the database version.",
            hidden: true,
            requirements: {
                custom: msg => {
                    return msg.channel.permissionsOf(msg.member.id).has("administrator")
                }
            }
        }
    )
}
