const utils = {}

utils.discordLimits = {
	reactionPerMessage: 20
}

utils.ids = {
	guild: "725032845206224968",
	bot: "727636604692332616",
	botDev: "439790095122300928",
	roles: {
		moderator: "726886455447781538",
		gameDirector: "726140729398657136",
		teamLead: "726140349680058439"
	}
}

utils.commonPerm = {
	moderator: msg => msg.member.roles.cache.find(role => role.id === utils.ids.roles.moderator),
	gameDirector: msg => msg.member.roles.cache.find(role => role.id === utils.ids.roles.gameDirector),
	teamLead: msg => msg.member.roles.cache.find(role => role.id === utils.ids.roles.teamLead)
}
utils.commonPerm.gameDirectorUp = msg => utils.commonPerm.gameDirector(msg) || utils.commonPerm.moderator(msg)
utils.commonPerm.teamLeadUp = msg => utils.commonPerm.teamLead(msg) || utils.commonPerm.gameDirectorUp(msg)

utils.getGuild = bot => bot.guilds.find(guild => guild.id === utils.ids.guild)
utils.getChannel = (bot, channelId) => utils.getGuild(bot).channels.find(channel => channel.id === channelId)

module.exports = utils
